(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     65618,       1445]
NotebookOptionsPosition[     64488,       1404]
NotebookOutlinePosition[     64825,       1419]
CellTagsIndexPosition[     64782,       1416]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"cylaxis", "[", 
   RowBox[{"t_", ",", " ", 
    RowBox[{"{", 
     RowBox[{"r1_", ",", "t1_", ",", "p1_", ",", "a1_", ",", "b1_"}], "}"}]}],
    "]"}], " ", ":=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"t", " ", 
      RowBox[{"Cos", "[", "a1", "]"}], " ", 
      RowBox[{"Cos", "[", "b1", "]"}]}], "+", 
     RowBox[{"r1", " ", 
      RowBox[{"Cos", "[", "p1", "]"}], " ", 
      RowBox[{"Cos", "[", "t1", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"t", " ", 
      RowBox[{"Cos", "[", "b1", "]"}], " ", 
      RowBox[{"Sin", "[", "a1", "]"}]}], "+", 
     RowBox[{"r1", " ", 
      RowBox[{"Cos", "[", "p1", "]"}], " ", 
      RowBox[{"Sin", "[", "t1", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"t", " ", 
      RowBox[{"Sin", "[", "b1", "]"}]}], "+", 
     RowBox[{"r1", " ", 
      RowBox[{"Sin", "[", "p1", "]"}]}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.407258121075528*^9, 3.4072581972239323`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"axialdist", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "r1_", ",", " ", "t1_", ",", " ", "p1_", ",", "a1_", ",", " ", "b1_"}], 
     "}"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
     "r2_", ",", " ", "t2_", ",", " ", "p2_", ",", "a2_", ",", " ", "b2_"}], 
     "}"}]}], "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"\[Sqrt]", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", "b1", "]"}], " ", 
          RowBox[{"Sin", "[", "b2", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "r1"}], " ", 
             RowBox[{"Cos", "[", "p1", "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"a1", "-", "t1"}], "]"}]}], "+", 
            RowBox[{"r2", " ", 
             RowBox[{"Cos", "[", "p2", "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"a1", "-", "t2"}], "]"}]}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "b2", "]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", "a2", "]"}], " ", 
             RowBox[{"Cos", "[", "b1", "]"}], " ", 
             RowBox[{"Sin", "[", "a1", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"r1", " ", 
                RowBox[{"Sin", "[", "p1", "]"}]}], "-", 
               RowBox[{"r2", " ", 
                RowBox[{"Sin", "[", "p2", "]"}]}]}], ")"}]}], "-", 
            RowBox[{
             RowBox[{"Cos", "[", "a1", "]"}], " ", 
             RowBox[{"Cos", "[", "b1", "]"}], " ", 
             RowBox[{"Sin", "[", "a2", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"r1", " ", 
                RowBox[{"Sin", "[", "p1", "]"}]}], "-", 
               RowBox[{"r2", " ", 
                RowBox[{"Sin", "[", "p2", "]"}]}]}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"Sin", "[", "b1", "]"}], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"r1", " ", 
                RowBox[{"Cos", "[", "p1", "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"a2", "-", "t1"}], "]"}]}], "-", 
               RowBox[{"r2", " ", 
                RowBox[{"Cos", "[", "p2", "]"}], " ", 
                RowBox[{"Sin", "[", 
                 RowBox[{"a2", "-", "t2"}], "]"}]}]}], ")"}]}]}], ")"}]}]}], 
        ")"}], "2"], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          RowBox[{"Cos", "[", "a2", "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Cos", "[", "b2", "]"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"Cos", "[", "b1", "]"}], "2"], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "a1", "]"}], "2"]}], "+", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "b1", "]"}], "2"]}], ")"}]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "b2", "]"}], " ", 
            RowBox[{"Sin", "[", "a2", "]"}], " ", 
            RowBox[{"Sin", "[", "b1", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Cos", "[", "b1", "]"}], " ", 
            RowBox[{"Sin", "[", "a1", "]"}], " ", 
            RowBox[{"Sin", "[", "b2", "]"}]}]}], ")"}], "2"], "-", 
        RowBox[{"2", " ", 
         RowBox[{"Cos", "[", "a1", "]"}], " ", 
         RowBox[{"Cos", "[", "a2", "]"}], " ", 
         RowBox[{"Cos", "[", "b1", "]"}], " ", 
         RowBox[{"Cos", "[", "b2", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "b1", "]"}], " ", 
            RowBox[{"Cos", "[", "b2", "]"}], " ", 
            RowBox[{"Sin", "[", "a1", "]"}], " ", 
            RowBox[{"Sin", "[", "a2", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Sin", "[", "b1", "]"}], " ", 
            RowBox[{"Sin", "[", "b2", "]"}]}]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Cos", "[", "a1", "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Cos", "[", "b1", "]"}], "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             RowBox[{"Cos", "[", "b2", "]"}], "2"], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "a2", "]"}], "2"]}], "+", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "b2", "]"}], "2"]}], ")"}]}]}], ")"}]}], 
     ")"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.407256745952882*^9, 3.407256832114304*^9}, 
   3.407257115859167*^9, {3.407257158974061*^9, 3.407257167304125*^9}, {
   3.407260934146644*^9, 3.4072609553972883`*^9}}],

Cell[BoxData[
 RowBox[{"randomcylaxis", ":=", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"RandomReal", "[", "]"}], ",", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}], ",", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], "]"}], ",", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}], ",", 
    RowBox[{"RandomReal", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], "]"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.407294713769733*^9, 3.407294734063479*^9}, 
   3.4072947811457787`*^9, 3.407296832118555*^9}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.4072967437916117`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"makesphere", "[", 
   RowBox[{"rad_", ",", " ", "cylstruct_"}], "]"}], " ", ":=", " ", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"vec", ",", " ", "time"}], "}"}], ",", " ", 
    RowBox[{
     RowBox[{"vec", "=", " ", 
      RowBox[{"cylaxis", "[", 
       RowBox[{"time", ",", "cylstruct"}], "]"}]}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"time", "/.", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"vec", ".", "vec"}], "\[Equal]", 
         RowBox[{"rad", "^", "2"}]}], ",", " ", "time"}], "]"}]}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4072941985680323`*^9, 3.407294394328547*^9}, {
  3.407294480123234*^9, 3.407294544414049*^9}, {3.4072948503939238`*^9, 
  3.407294885000031*^9}, {3.407294922349121*^9, 3.407294954610057*^9}, {
  3.407296946267612*^9, 3.407296946928404*^9}, {3.4072969968221083`*^9, 
  3.407297102618511*^9}, {3.4072976326479692`*^9, 3.4072976413083487`*^9}, {
  3.407299122778268*^9, 3.407299123688426*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"cylist", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      "0.25"}], "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "cylist", "]"}]}], "Input",
 CellChangeTimes->{{3.407257227739954*^9, 3.407257322452924*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.407257322993168*^9, 3.407258528224984*^9, 
  3.4072592000212917`*^9, 3.407259322907485*^9, 3.407259365647718*^9, 
  3.407261000220229*^9, 3.407261204401527*^9, 3.407261730141799*^9, 
  3.407261794255981*^9, 3.4072620160190573`*^9, 3.407264545770853*^9, 
  3.407301642825452*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotcyls", "[", "clist_", "]"}], " ", ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t1", ",", "t2", ",", "curax", ",", "curad", ",", "maxrad"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"maxrad", "=", 
      RowBox[{"Max", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"clist", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", 
           RowBox[{"Length", "[", "clist", "]"}]}], "}"}]}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{"curax", ",", "curad"}], "}"}], "=", 
           RowBox[{"clist", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], ";", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t1", ",", "t2"}], "}"}], "=", 
           RowBox[{"makesphere", "[", 
            RowBox[{"10", ",", "curax"}], "]"}]}], ";", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"ColorData", "[", "\"\<RoseColors\>\"", "]"}], "[", 
             RowBox[{"0.66", 
              RowBox[{"curad", "/", 
               RowBox[{"(", "maxrad", ")"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Specularity", "[", 
             RowBox[{"White", ",", "50"}], "]"}], ",", 
            RowBox[{"EdgeForm", "[", "]"}], ",", 
            RowBox[{"Cylinder", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"cylaxis", "[", 
                 RowBox[{"t1", ",", "curax"}], "]"}], ",", 
                RowBox[{"cylaxis", "[", 
                 RowBox[{"t2", ",", "curax"}], "]"}]}], "}"}], ",", "curad"}],
              "]"}]}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", 
           RowBox[{"Length", "[", "clist", "]"}]}], "}"}]}], "]"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Background", "\[Rule]", 
        RowBox[{"Lighter", "[", " ", 
         RowBox[{"Lighter", "[", "Gray", "]"}], "]"}]}], ",", 
       RowBox[{"Lighting", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\"\<Ambient\>\"", ",", 
            RowBox[{"Darker", "[", "Gray", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Directional\>\"", ",", "White", ",", 
            RowBox[{"{", 
             RowBox[{"10", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "10"}], ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
         "}"}]}]}], "]"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4072578730802393`*^9, 3.407257895301553*^9}, {
   3.407257949937756*^9, 3.407257980319303*^9}, {3.407258217040298*^9, 
   3.407258424384893*^9}, {3.407259395212199*^9, 3.407259423153702*^9}, {
   3.407261279956604*^9, 3.407261312704275*^9}, {3.407262125011598*^9, 
   3.4072622442093153`*^9}, {3.407264710535388*^9, 3.4072647303092203`*^9}, {
   3.4072674058833237`*^9, 3.4072674153774977`*^9}, 3.4072674699150467`*^9, {
   3.4072976953147163`*^9, 3.40729778695932*^9}, {3.407297816995554*^9, 
   3.4072979331977253`*^9}, {3.4072986743948317`*^9, 3.407298706232217*^9}, {
   3.407298755861745*^9, 3.407298763714285*^9}, {3.4072987986998568`*^9, 
   3.4072988683790083`*^9}, {3.407298965503696*^9, 3.407298993281621*^9}, {
   3.4072992348988943`*^9, 3.4072992647833557`*^9}, {3.407299295510231*^9, 
   3.4072992994289827`*^9}, {3.4072993342814693`*^9, 3.407299393060021*^9}, {
   3.40729944192831*^9, 3.407299477020178*^9}, {3.407299753531745*^9, 
   3.4072998271818647`*^9}, {3.4073000388937483`*^9, 3.407300075930758*^9}, {
   3.4073001116871443`*^9, 3.407300112528954*^9}, {3.407300190513976*^9, 
   3.407300296515758*^9}, {3.4073003833283167`*^9, 3.407300403351982*^9}, {
   3.4073004735673733`*^9, 3.407300530964769*^9}, {3.4073005713748426`*^9, 
   3.4073005906775208`*^9}, {3.407300640062655*^9, 3.407300664717115*^9}, {
   3.407300721638505*^9, 3.407300764438066*^9}, {3.407300932926505*^9, 
   3.4073010005252132`*^9}, {3.407301045550713*^9, 3.4073010522463284`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"cylist", " ", "=", " ", 
  RowBox[{"{", "randomcyl", "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "cylist", "]"}]}], "Input",
 CellChangeTimes->{{3.407257227739954*^9, 3.407257322452924*^9}, {
   3.4072640948872423`*^9, 3.407264109220703*^9}, {3.4072642536305523`*^9, 
   3.407264276301858*^9}, 3.407264384207924*^9, {3.4072645936384697`*^9, 
   3.407264597491015*^9}, {3.407264670518682*^9, 3.407264677085984*^9}, {
   3.40726535536832*^9, 3.407265362196471*^9}}],

Cell[BoxData[
 RowBox[{"{", "randomcyl", "}"}]], "Output",
 CellChangeTimes->{
  3.407257322993168*^9, 3.407258528224984*^9, 3.4072592000212917`*^9, 
   3.407259322907485*^9, 3.407259365647718*^9, 3.407261000220229*^9, 
   3.407261204401527*^9, 3.407261730141799*^9, 3.407261794255981*^9, 
   3.4072620160190573`*^9, 3.407262455324349*^9, 3.407262606248403*^9, 
   3.4072627125110826`*^9, 3.407263127368238*^9, 3.407263165051651*^9, 
   3.407263405579122*^9, 3.4072634651308117`*^9, 3.407264017623424*^9, 
   3.407264114137192*^9, 3.407264313446726*^9, 3.407264546053752*^9, 
   3.4072645988588953`*^9, 3.407264744946054*^9, 3.407265009498138*^9, 
   3.4072653647848043`*^9, 3.407265998544527*^9, 3.407266185344442*^9, {
   3.407266700249998*^9, 3.4072667121878653`*^9}, 3.407266869992949*^9, 
   3.407267040287383*^9, 3.4072671346434107`*^9, {3.407267208660103*^9, 
   3.40726723017068*^9}, 3.407267345591181*^9, 3.407267556803529*^9, 
   3.407301642923359*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.407257322993168*^9, 3.407258528224984*^9, 3.4072592000212917`*^9, 
   3.407259322907485*^9, 3.407259365647718*^9, 3.407261000220229*^9, 
   3.407261204401527*^9, 3.407261730141799*^9, 3.407261794255981*^9, 
   3.4072620160190573`*^9, 3.407262455324349*^9, 3.407262606248403*^9, 
   3.4072627125110826`*^9, 3.407263127368238*^9, 3.407263165051651*^9, 
   3.407263405579122*^9, 3.4072634651308117`*^9, 3.407264017623424*^9, 
   3.407264114137192*^9, 3.407264313446726*^9, 3.407264546053752*^9, 
   3.4072645988588953`*^9, 3.407264744946054*^9, 3.407265009498138*^9, 
   3.4072653647848043`*^9, 3.407265998544527*^9, 3.407266185344442*^9, {
   3.407266700249998*^9, 3.4072667121878653`*^9}, 3.407266869992949*^9, 
   3.407267040287383*^9, 3.4072671346434107`*^9, {3.407267208660103*^9, 
   3.40726723017068*^9}, 3.407267345591181*^9, 3.407267556803529*^9, 
   3.407301642926952*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"minpos", "[", "a_List", "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"min", "=", 
      RowBox[{"Min", "[", "a", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"min", ",", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"Position", "[", 
         RowBox[{"a", ",", "min"}], "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4072656608856707`*^9, 3.407265747987528*^9}, {
  3.4072658226735277`*^9, 3.407265823014657*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"icount", "=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.407267091544783*^9, 3.407267101314569*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"While", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Length", "[", "cylist", "]"}], " ", "\[LessEqual]", "200"}], 
    " ", "&&", " ", 
    RowBox[{
     RowBox[{"icount", "++"}], " ", "<", " ", "1000000"}]}], ",", 
   RowBox[{
    RowBox[{"test", " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"0", ",", "5"}], "}"}], "]"}], ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}], ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], "]"}], ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"2", " ", "\[Pi]"}]}], "}"}], "]"}], ",", 
       RowBox[{"RandomReal", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], "]"}]}], "}"}]}], 
    ";", 
    RowBox[{"distlist", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"axialdist", "[", 
         RowBox[{"test", ",", 
          RowBox[{"cylist", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "-", 
        RowBox[{"cylist", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "cylist", "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mindist", ",", "nbrcyl"}], "}"}], "=", " ", 
     RowBox[{"minpos", "[", "distlist", "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"mindist", ">", " ", "0"}], ",", " ", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"cylist", ",", 
        RowBox[{"{", 
         RowBox[{"test", ",", 
          RowBox[{"Min", "[", 
           RowBox[{"{", 
            RowBox[{"mindist", ",", 
             RowBox[{"RandomReal", "[", 
              RowBox[{"{", 
               RowBox[{"0.9", ",", "1.1"}], "}"}], "]"}]}], "}"}], "]"}]}], 
         "}"}]}], "]"}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.407257325594491*^9, 3.407257401493146*^9}, {
   3.40725744779221*^9, 3.4072574687198057`*^9}, {3.407257522727364*^9, 
   3.4072575718853207`*^9}, {3.4072576709649*^9, 3.407257713321743*^9}, {
   3.4072577438898582`*^9, 3.407257844145628*^9}, {3.407258513754717*^9, 
   3.407258520176272*^9}, 3.407259186726338*^9, {3.4072592920290947`*^9, 
   3.407259302586598*^9}, {3.4072593526056557`*^9, 3.407259359851337*^9}, 
   3.407260987814672*^9, 3.4072610786635427`*^9, {3.407261349532349*^9, 
   3.4072613960179577`*^9}, {3.4072615115765123`*^9, 3.407261593491663*^9}, {
   3.407261637590979*^9, 3.407261714394382*^9}, {3.407261763159482*^9, 
   3.407261779098681*^9}, {3.4072619294857483`*^9, 3.4072619945539513`*^9}, 
   3.407262026294426*^9, {3.407262591231903*^9, 3.4072625944978743`*^9}, {
   3.407262700850593*^9, 3.4072627057604017`*^9}, {3.407263092554183*^9, 
   3.4072631164283543`*^9}, {3.40726314996168*^9, 3.407263156588501*^9}, {
   3.407263378283649*^9, 3.407263394429091*^9}, {3.407263443807651*^9, 
   3.4072634511653137`*^9}, {3.4072640061575613`*^9, 3.407264008382331*^9}, {
   3.4072646828007717`*^9, 3.407264693662881*^9}, {3.4072650001384*^9, 
   3.4072650023376417`*^9}, {3.4072659027121363`*^9, 3.407265944530651*^9}, {
   3.40726617166462*^9, 3.4072661802059*^9}, {3.407266236328429*^9, 
   3.407266246261859*^9}, {3.407266315437204*^9, 3.407266336908547*^9}, {
   3.407266368615904*^9, 3.407266373615088*^9}, {3.407266594246079*^9, 
   3.407266687107768*^9}, {3.4072668475783157`*^9, 3.4072668517676573`*^9}, {
   3.4072671053596163`*^9, 3.407267125055217*^9}, {3.4072671820595503`*^9, 
   3.407267225223439*^9}, {3.4072673116607523`*^9, 3.407267334407469*^9}, {
   3.40726751912217*^9, 3.407267530344195*^9}, {3.4072677504692574`*^9, 
   3.4072677512666492`*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.407301692930217*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["cylist"], "Input",
 CellChangeTimes->{{3.4073016979287453`*^9, 3.407301699347543*^9}}],

Cell[BoxData[
 RowBox[{"{", "randomcyl", "}"}]], "Output",
 CellChangeTimes->{3.407301700132868*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"plotcyls", "[", "cylist", "]"}]], "Input"],

Cell[BoxData[
 Graphics3DBox[{
   {Hue[0.5137995725866532], 
    CylinderBox[{{-3.163913034852883, 4.606885944152754, 
     1.4777282873610647`}, {-18.655788300400204`, 4.581591536639072, 
     14.12688481851648}}, 0.7369212136728003]}, 
   {Hue[0.6448474710668336], 
    CylinderBox[{{6.635055030744906, 
     7.326061399559256, -0.6209526961316594}, {-6.484635728903377, \
-7.137551716875327, -4.942712753018311}}, 0.9248777273598519]}, 
   {Hue[0.5872326621952677], 
    CylinderBox[{{0.2416252797278422, 9.844626684624552, 
     3.010237143246681}, {-1.7521313547302468`, -9.060274791699571, \
-3.2050371590695383`}}, 0.8422432193834946]}, 
   {Hue[0.66], 
    CylinderBox[{{5.757095021922777, 
     0.5685256973412939, -3.6024192261878363`}, {-8.347728621588075, 
     0.6757353873733553, 10.576524883576488`}}, 0.9466103651575566]}, 
   {Hue[0.32838693439182637`], 
    CylinderBox[{{1.5856436469938517`, 9.222451419710568, 
     8.123394627445075}, {
     1.4219603411774735`, -7.850289583048708, -2.2926853659161104`}}, 
     0.47099163011760203`]}, 
   {Hue[0.011461811319933627`], 
    CylinderBox[{{10.29898541887587, -1.235852471802059, 
     1.0427085769946343`}, {-9.603533592984412, 0.5849756709227953, 
     1.800548835361251}}, 0.016439196058983918`]}, 
   {Hue[0.06470355646687273], 
    CylinderBox[{{5.701239754848093, 2.5402373396761995`, 
     11.727130008127078`}, {-6.0056855340132635`, -2.7799056561949707`, \
-3.59096317557243}}, 0.09280160183954389]}, 
   {Hue[0.08866171406819841], 
    CylinderBox[{{1.4442960944552832`, 2.10296632564327, 
     6.154637037636174}, {-8.045515863780384, 
     0.2865510362639151, -11.356619470502704`}}, 0.1271637841357457]}, 
   {Hue[0.041717330479719594`], 
    CylinderBox[{{-10.49004823033916, -5.234201850515985, 
     0.05899167820745199}, {5.745748477467546, 6.182385268473238, 
     2.520788545802816}}, 0.05983342036182701]}, 
   {Hue[0.2450119230744798], 
    CylinderBox[{{-7.235014125610586, -7.857395255011133, \
-0.2771384432913746}, {7.451494619668395, 4.44631804485604, 
     5.460901283785777}}, 0.35141034237801283`]}, 
   {Hue[0.14024347821075064`], 
    CylinderBox[{{8.581050854988483, 4.019024499887582, 
     3.1526373578029467`}, {-8.15511588843794, -0.8246271763811628, \
-6.667737440299538}}, 0.20114534866673406`]}, 
   {Hue[0.1738460739085528], 
    CylinderBox[{{
     0.49954310310581285`, -1.0024862683963343`, -10.151184327839964`}, \
{-6.003008299369342, 2.8865251972982358`, 8.358067820149824}}, 
     0.2493401447027011]}, 
   {Hue[0.013334223757319484`], 
    CylinderBox[{{
     2.6355064762460776`, -6.850982962783263, -10.04050442706491}, \
{-6.3552133131967325`, 1.8750671711343592`, 5.5486907647362935`}}, 
     0.019124718818195094`]}, 
   {Hue[0.039422020446657664`], 
    CylinderBox[{{6.196800738835036, 1.420747547506998, 
     12.348787877133937`}, {-6.2358356153710774`, -1.7699336306443891`, \
-2.989044658901359}}, 0.05654135328827162]}, 
   {Hue[0.2145504771320347], 
    CylinderBox[{{-0.5726217564748421, -3.954255636765984, 
     6.605622256127199}, {3.4867821996034585`, 
     3.065525417139746, -11.676716584311187`}}, 0.30772076591315656`]}, 
   {Hue[0.07108325531522419], 
    CylinderBox[{{4.753009484227135, 0.8186198575597272, 
     7.8300781771619095`}, {-10.790199864580025`, 
     3.9820283613605127`, -4.351936835849467}}, 0.10195173677353361`]}, 
   {Hue[0.012626846503036799`], 
    CylinderBox[{{-9.861008281200519, 
     2.0510720678220387`, -0.8176366594192345}, {
     8.042764953165111, -6.103009867778566, 2.7831759932919247`}}, 
     0.018110157240951635`]}, 
   {Hue[0.6510816732647787], 
    CylinderBox[{{2.2522859301656872`, -1.867503723463476, 
     10.009541804512978`}, {
     5.072898000703201, -2.143426994340543, -9.788640281126263}}, 
     0.9338191825402501]}, 
   {Hue[0.085968274155791], 
    CylinderBox[{{4.8113458911294105`, -7.104033067173278, 
     7.1628944350745405`}, {-1.2658919720192803`, 
     2.62388278564176, -9.221086555980774}}, 0.12330069604633068`]}, 
   {Hue[0.04456701660152276], 
    CylinderBox[{{5.008986188937264, 7.4145437758656385`, 
     7.983138577637952}, {-9.086079443789524, -0.7123297397096464, \
-3.6479856874950265`}}, 0.0639206058471975]}, 
   {Hue[0.023043221565430847`], 
    CylinderBox[{{-0.24267703474378255`, -1.4190928551703001`, 
     8.87182805697205}, {
     5.910188133832325, -0.36083956383388416`, -10.128760096785154`}}, 
     0.03304992784918026]}, 
   {Hue[0.06640222703591218], 
    CylinderBox[{{
     4.748494043296535, -0.8462431094584144, -10.53383225149721}, {
     1.319717669893, -1.6227540187706977`, 9.154756407645142}}, 
     0.09523793391172697]}, 
   {Hue[0.39321128850596127`], 
    CylinderBox[{{4.5083321341745854`, -9.448583319229414, 
     2.657578808502455}, {-0.5496547921063804, 
     5.439303828071296, -9.702339659788878}}, 0.5639664869646989]}, 
   {Hue[0.08526136492394999], 
    CylinderBox[{{
     7.888102306899397, -0.4414135000658703, -1.8980423387277163`}, \
{-7.222699322146625, 7.924957956194463, 8.184988097777593}}, 
     0.12228680573407877`]}, 
   {Hue[0.2939991614208702], 
    CylinderBox[{{-11.055278456789114`, -1.827918553303611, 
     5.169873523249464}, {8.818556548062432, -0.01915546330694884, 
     3.843578577091917}}, 0.4216706871948869]}, 
   {Hue[0.17947871948370975`], 
    CylinderBox[{{-11.118138251852349`, 4.282370402435027, 
     3.201674221937145}, {6.448266681438495, -5.218159813772522, 
     4.27933062848905}}, 0.25741881240679565`]}, 
   {Hue[0.1512642737190322], 
    CylinderBox[{{0.679885144222649, -6.723706875005679, 
     1.090566382562218}, {-0.9446146121013483, 
     12.399345510498943`, -4.537032395153658}}, 0.21695201421282673`]}, 
   {Hue[0.04010679477766034], 
    CylinderBox[{{1.106924367659874, 
     10.70402339657551, -2.8968792556771823`}, {-6.1665470164070175`, \
-4.282710431850356, 8.170840617046188}}, 0.05752349643906096]}, 
   {Hue[0.25454392955871996`], 
    CylinderBox[{{7.382603880860308, 
     4.203962696628952, -2.480805528676557}, {-9.645995044372434, \
-5.370957224882873, -6.7642302262985865`}}, 0.36508170016396857`]}, 
   {Hue[0.03182513656451986], 
    CylinderBox[{{6.346344254448166, -7.61162548647011, 
     2.309593106754445}, {-8.954142921276247, 
     4.586443702411141, -1.8258875483518875`}}, 0.04564546082504431]}, 
   {Hue[0.010192482146282392`], 
    CylinderBox[{{-8.71075917366246, -1.9137123690434183`, \
-2.9861513957021355`}, {7.165969146498235, 
     10.21235876658169, -2.0438687090486827`}}, 0.014618650373264014`]}, 
   {Hue[0.14575568574509062`], 
    CylinderBox[{{-4.2714375052069835`, 
     7.656469706485118, -7.789458426036868}, {
     4.585125671178827, -9.216077317070528, -1.7166958223621265`}}, 
     0.20905127713174287`]}, 
   {Hue[0.04881063893105096], 
    CylinderBox[{{-9.134234766517348, -1.9218199484008265`, \
-2.184617987966848}, {8.86118413438427, -3.5255434460404595`, 
     6.394016491027538}}, 0.07000705566984211]}, 
   {Hue[0.05357523146162618], 
    CylinderBox[{{-7.6624932080146255`, 7.949875041771777, 
     0.1323042357589772}, {
     2.1151874081634507`, -9.487751886360023, -0.43877271466741774`}}, 
     0.07684071123831905]}, 
   {Hue[0.08535376585939142], 
    CylinderBox[{{-10.934608829450223`, 4.962351879571919, 
     2.703976497042413}, {5.529354738844977, 
     0.3191222579344477, -7.65837469863691}}, 0.1224193325268653]}, 
   {Hue[0.14391095595630207`], 
    CylinderBox[{{-2.2103091276423603`, -9.092604171314598, \
-5.00484309926018}, {3.2842899312789546`, 8.828279059379536, 
     1.970207109414077}}, 0.20640545843631536`]}, 
   {Hue[0.02336452437973854], 
    CylinderBox[{{1.610475408044508, -0.023001662389253053`, 
     9.786368959892357}, {-0.2820379132362276, -5.506030757549539, \
-9.35402772540131}}, 0.0335107590224802]}, 
   {Hue[0.256491707842104], 
    CylinderBox[{{-3.3800922239507942`, 3.801889912532416, 
     11.320634491652346`}, {-3.1324764891279306`, 
     3.1859651124216164`, -8.668345549572283}}, 0.3678753170004536]}, 
   {Hue[0.007464934422444461], 
    CylinderBox[{{7.379969085764152, -5.406502256044535, 
     4.2483834472929844`}, {-9.305879764194962, 
     4.133100331042247, -1.2813932784677615`}}, 0.010706642878041461`]}, 
   {Hue[0.012487432719820748`], 
    CylinderBox[{{-5.870588245867674, 7.452473780512562, -7.5936818896222}, {
     6.540083621558329, -6.3808934589103155`, -0.2036091823788806}}, 
     0.01791020188907566]}, 
   {Hue[0.05597260112908743], 
    CylinderBox[{{8.555013256918558, 
     5.087665286446052, -1.4310321542868392`}, {-8.057392017574342, \
-6.000610446869857, -2.4693636321676298`}}, 0.08027915817215714]}, 
   {Hue[0.03760118722688348], 
    CylinderBox[{{-5.138205922835448, 
     0.23199661106364688`, -7.971464124004536}, {
     8.788064006864236, -7.060428516703501, 4.392982551890533}}, 
     0.053929808441208815`]}, 
   {Hue[0.0905070965708753], 
    CylinderBox[{{
     11.562980860231264`, -0.23757737691375314`, -5.059795580599542}, \
{-3.372296135925036, 1.2622153865511292`, 8.15716786471356}}, 
     0.1298105389913735]}, 
   {Hue[0.07488142911133487], 
    CylinderBox[{{-5.86662155953753, -6.3920535784105, 5.797365821958672}, {
     1.2985452424077701`, 7.896906184927999, -6.222867685839518}}, 
     0.10739929841606119`]}, 
   {Hue[0.15542054990501966`], 
    CylinderBox[{{-8.272641746344261, -5.41646141100693, -6.078823935670491}, \
{5.146184319916449, 6.585011575918749, 2.6332225028843075`}}, 
     0.22291318711905894`]}, 
   {Hue[0.03660867992455989], 
    CylinderBox[{{0.42449707133772274`, 4.2938173515165605`, 
     8.722043464059938}, {1.6569467127401862`, 
     3.417405087149196, -11.220698810368456`}}, 0.05250629677473295]}, 
   {Hue[0.07118809711075759], 
    CylinderBox[{{-1.1786651732797544`, -7.855740375464738, \
-7.123296328378532}, {3.9961931757584903`, 4.986482150388341, 
     7.309241967564454}}, 0.10210210697103914`]}, 
   {Hue[0.020653617613820847`], 
    CylinderBox[{{
     1.0410139754978458`, -3.832165231606252, -10.438759482067338`}, \
{-0.7642880345845, -1.828035842600422, 9.378514549557591}}, 
     0.029622618956429536`]}, 
   {Hue[0.0904337456740078], 
    CylinderBox[{{7.03773576518747, -2.659005337076845, 
     2.9273641885506705`}, {-12.411755113862565`, -4.715279212536232, \
-1.2546260427689488`}}, 0.1297053348712699]}, 
   {Hue[0.013457173515342114`], 
    CylinderBox[{{5.98125936672433, 2.4305656897363677`, 
     5.105172262612913}, {-4.737623776665818, -8.997690098140033, \
-7.324651300302857}}, 0.019301060508100903`]}, 
   {Hue[0.01781692876495224], 
    CylinderBox[{{-2.1166591422101777`, -9.630912072759433, 
     1.641012551269838}, {2.4397367961567356`, 
     9.520208841983063, -1.890817535490571}}, 0.025554074915420624`]}, 
   {Hue[0.12153369895549816`], 
    CylinderBox[{{-10.229333611747585`, -1.6901464348291322`, 
     7.959838980707588}, {2.6749361060355477`, 
     5.07419005817893, -5.741386324354166}}, 0.17431069567759494`]}, 
   {Hue[0.018089117724752753`], 
    CylinderBox[{{-3.4008365250346717`, -0.6117176332787004, \
-11.339007668119297`}, {-3.6308607064850937`, -0.3913882381461469, 
     8.658455766866364}}, 0.025944464143645804`]}, 
   {Hue[0.012612698902835858`], 
    CylinderBox[{{7.334820972707249, 6.331440053139388, 
     2.285542939757264}, {-9.38566409727413, -4.5479743345163905`, 
     0.8489770323940906}}, 0.01808986593035722]}, 
   {Hue[0.11803050247327637`], 
    CylinderBox[{{-4.473654539469797, -2.8571898695664686`, 
     8.367991914904627}, {5.916101125556954, 
     2.2080340468303774`, -7.9536649831497455`}}, 0.16928620764539093`]}, 
   {Hue[0.016145444374420764`], 
    CylinderBox[{{2.417109895588297, -3.1374326312724676`, 
     9.227985866206968}, {-8.17043499925514, 
     0.8329913337202697, -7.268669147397637}}, 0.02315673484075978]}, 
   {Hue[0.013945819310942815`], 
    CylinderBox[{{-0.04328661282029822, 
     2.405990637940649, -10.536786779559245`}, {-6.758762206931026, \
-3.621834262743124, 7.311678546949919}}, 0.02000190471265588]}, 
   {Hue[0.058512556582882555`], 
    CylinderBox[{{-3.3037674351599415`, 2.1134261212570755`, 
     7.878901646608357}, {-1.9439480122210784`, 
     1.11681882599528, -12.0499132964842}}, 0.08392210992912824]}, 
   {Hue[0.036823038567696545`], 
    CylinderBox[{{-4.1314983072873535`, -7.733493607009146, 
     5.835865925151344}, {3.834369667089347, 10.470540530734722`, 
     3.564723365412865}}, 0.05281374240117881]}, 
   {Hue[0.06703087461401977], 
    CylinderBox[{{4.172417457415285, -10.879674411046093`, 
     1.5480767725700377`}, {1.987479563165089, 
     6.643631084824879, -7.8412688327768905`}}, 0.09613957681092067]}, 
   {Hue[0.061803914708581216`], 
    CylinderBox[{{-2.55500901110575, -7.10251762630742, \
-3.8271327117006004`}, {4.043856536046063, 10.872793706884282`, 
     1.9472205824305089`}}, 0.0886427670764493]}, 
   {Hue[0.016716049214219326`], 
    CylinderBox[{{6.564094009982188, 
     7.94627544394228, -4.736693596064159}, {-4.693109485318335, \
-1.5227058884750946`, 8.813721969213718}}, 0.023975129470702794`]}, 
   {Hue[0.048470289592162666`], 
    CylinderBox[{{-4.124072262866102, 3.9157095937369015`, 
     7.5269982843453285`}, {-2.199590182085247, 
     0.18567625679680289`, -12.027623164971171`}}, 0.06951890686383275]}, 
   {Hue[0.05958083350741258], 
    CylinderBox[{{-6.669617925654846, -0.7290441181453273, 
     8.510176910717126}, {-2.354711924699926, 
     1.5329947940917008`, -10.887368453644024`}}, 0.08545429479218697]}, 
   {Hue[0.04813889002854775], 
    CylinderBox[{{3.846310079623353, -4.695120099769461, 
     5.76835459343572}, {-10.160554721048399`, -0.3792237874163007, \
-7.8397598048458805`}}, 0.06904359434576218]}, 
   {Hue[0.03466403347519618], 
    CylinderBox[{{-7.61946332619183, -3.642303057891355, \
-2.9286218947028893`}, {7.418403581373771, 2.583443062433153, 
     8.694744404076815}}, 0.049717171796650333`]}, 
   {Hue[0.022526554542701947`], 
    CylinderBox[{{6.627304722853117, 2.925085988963062, 
     5.682135750274355}, {-10.297655663089552`, -5.400174528710746, \
-0.9688606598233882}}, 0.03230889397183137]}, 
   {Hue[0.008079639345399571], 
    CylinderBox[{{-5.573200812870931, -2.61731039498287, 
     7.5475499341847785`}, {6.526229923455777, 
     0.9280934362590401, -7.9777161675684445`}}, 0.011588288410742498`]}, 
   {Hue[0.028018535530408097`], 
    CylinderBox[{{-0.19519691989797616`, 11.235477988511972`, 
     5.193085405700491}, {-4.399545385762929, -6.327797111962182, \
-3.4007974025907424`}}, 0.04018581234790845]}, 
   {Hue[0.032347309862850025`], 
    CylinderBox[{{-6.183302466286054, -3.2075089136642565`, 
     8.430751309880634}, {5.8513399902936, 
     1.377772286088605, -6.870966804811043}}, 0.04639439212293499]}, 
   {Hue[0.004983882079227834], 
    CylinderBox[{{7.534256573116677, 3.0903498637372344`, 
     4.476873250822157}, {-6.767580019872291, 
     1.7478829923811894`, -9.439133818978908}}, 0.007148173386242518]}, 
   {Hue[0.0011031731484750897`], 
    CylinderBox[{{9.041089897250725, 0.26572901482219047`, 
     1.68096179474782}, {-10.580943882415543`, -2.8761093196051006`, \
-0.578383736586229}}, 0.0015822350559242665`]}, 
   {Hue[0.006718409003976062], 
    CylinderBox[{{-8.621544357846188, 8.077871455861477, 
     3.7099706861207045`}, {
     0.5392878971296646, -8.68402973107828, -2.2160584224360216`}}, 
     0.009635932728078176]}, 
   {Hue[0.015778386094417576`], 
    CylinderBox[{{-2.798204282143134, -9.565530624151386, -1.24323431908769}, \
{2.9272735157913807`, 9.371950843541885, 1.6877552145225516`}}, 
     0.022630278518838684`]}, 
   {Hue[0.03448627000699452], 
    CylinderBox[{{-1.2684306450334069`, -0.26592977688616326`, 
     8.496063522336968}, {3.7502127757315815`, 
     8.914164991687407, -8.549143377411138}}, 0.04946221309733814]}, 
   {Hue[0.04859031980410502], 
    CylinderBox[{{7.564720086494421, 
     1.6010492738463147`, -0.006593137795451856}, {-10.028809642175341`, \
-7.907171730473403, 0.24128792123632864`}}, 0.06969106117103985]}, 
   {Hue[0.016579330748511086`], 
    CylinderBox[{{
     0.5709999816344484, -9.826577749640434, -2.5128622350278924`}, \
{-1.617491520023981, 8.959264207304122, 3.9911862669338207`}}, 
     0.023779039899872706`]}, 
   {Hue[0.037418978136815044`], 
    CylinderBox[{{
     0.3101198435918069, -13.07376578091445, -1.7295086147981202`}, \
{-2.747464472288637, 6.252209777605849, 2.412694526376635}}, 
     0.05366847357259562]}, 
   {Hue[0.041453730886979255`], 
    CylinderBox[{{-9.017250379525905, 0.8074335101095915, 
     2.1878317648875654`}, {
     7.5699333718080934`, -9.738602666815742, -1.506279245147668}}, 
     0.05945535050313108]}, 
   {Hue[0.015524554781109352`], 
    CylinderBox[{{-5.585967616893608, -0.42446502615529647`, \
-9.369796570654646}, {0.8292847174082252, -3.392831544044803, 
     9.33938132958211}}, 0.02226621889432487]}, 
   {Hue[0.005077684333855893], 
    CylinderBox[{{-3.0953353549772293`, 
     7.020931407626355, -4.441352437686962}, {
     3.739104985099962, -11.726365108660596`, -3.088836793289163}}, 
     0.007282710032463835]}, 
   {Hue[0.032307981659471796`], 
    CylinderBox[{{
     5.566589610014521, -1.8833065017514725`, -3.2185177631987214`}, \
{-4.528807973440905, 6.951841598243944, 11.614658082961455`}}, 
     0.046337985327539744`]}, 
   {Hue[0.014922459444786113`], 
    CylinderBox[{{-5.715178705624984, -8.889216363770498, \
-3.243246782298609}, {2.395720703962734, 7.718883792333263, 
     4.39771650595084}}, 0.02140265876375426]}, 
   {Hue[0.030554332848051403`], 
    CylinderBox[{{-7.799419637161594, 3.5117731824244185`, 
     5.315853168393479}, {10.019324903084195`, 
     0.6424196975501084, -3.3015219301095744`}}, 0.043822800264302214`]}, 
   {Hue[0.1192498862137872], 
    CylinderBox[{{-10.05712248329532, 
     4.198498021431147, -7.042131951512617}, {
     0.7509061826926144, -6.104510328148825, 6.26330059702441}}, 
     0.17103511868762145`]}, 
   {Hue[0.0011217395354898364`], 
    CylinderBox[{{-6.5786960500441225`, 10.025610685003521`, 
     6.5038329142922535`}, {-0.5237633468623275, -7.79697249990798, \
-0.25585040498012956`}}, 0.001608864047426821]}, 
   {Hue[0.008190324875791319], 
    CylinderBox[{{-8.698916112388229, 7.319230273480041, 5.886357042190458}, {
     8.974280904096595, 0.8388870170012699, -0.8711024282556696}}, 
     0.011747040032472483`]}, 
   {Hue[0.03830214618448198], 
    CylinderBox[{{-4.424295545967496, -5.451579378026949, 
     8.714923941471659}, {-1.5667668943536437`, 
     1.1794802814545178`, -9.93617730745205}}, 0.05493516452425848]}, 
   {Hue[0.03968105933661557], 
    CylinderBox[{{-0.614995934204811, 
     8.82950888083091, -2.3150174580056415`}, {-3.218342605018141, \
-10.99903986673482, -2.5413814944041855`}}, 0.05691288192192778]}, 
   {Hue[0.0038071423242387963`], 
    CylinderBox[{{-10.23586962042, -0.048963747718644424`, 
     4.869504079744189}, {5.330124069595204, 
     4.354824652227338, -6.89087381260723}}, 0.00546042482690072]}, 
   {Hue[0.044109602801690316`], 
    CylinderBox[{{-5.846481180269095, 
     3.486549962971279, -5.584980283288262}, {
     4.124412439387072, -7.897850343123216, 7.4908260052774835`}}, 
     0.06326455638645886]}, 
   {Hue[0.0026029472628986594`], 
    CylinderBox[{{-6.53976131619508, 
     0.25280668434542974`, -6.406804196187444}, {
     0.9352890037911514, -4.491583544193331, 11.526806262195432`}}, 
     0.003733298271239943]}, 
   {Hue[0.008170498781884222], 
    CylinderBox[{{
     7.16546225273152, -0.7638934886407847, -5.661727170012728}, \
{-8.14397540943311, -0.06026651612754402, 7.188410088080939}}, 
     0.011718604296119386`]}, 
   {Hue[0.02059475131979591], 
    CylinderBox[{{-2.491499347455452, -0.29108738004020945`, 
     9.808836354189701}, {-3.972658781874557, -0.8801870449359568, \
-10.127540656557539`}}, 0.0295381894956986]}, 
   {Hue[0.029989557486156736`], 
    CylinderBox[{{-3.8201572022773016`, 3.1646491976761917`, 
     8.800793233498737}, {-2.3601516971549685`, -2.6201409342012, \
-10.288590912019064`}}, 0.04301276661043085]}, 
   {Hue[0.01385400987073127], 
    CylinderBox[{{-2.159553885317284, -3.0852334662308567`, 
     10.411481963080053`}, {-5.556521876269713, -3.1755398602183162`, \
-9.297715210413585}}, 0.01987022627671109]}, 
   {Hue[0.007406554294680584], 
    CylinderBox[{{-7.026129237182738, 7.226228820909958, 
     4.6879117790147635`}, {
     8.848864519823751, -3.9570939944765158`, -0.0993488178048132}}, 
     0.010622910705222508`]}, 
   {Hue[0.056538103823819075`], 
    CylinderBox[{{-0.21617260055793852`, -1.8307659746494633`, \
-13.047192640707692`}, {-3.350078325544666, 5.0277727027614585`, 
     5.476821020412132}}, 0.08109023500906244]}, 
   {Hue[0.020281506497455793`], 
    CylinderBox[{{
     0.03832628917549463, -3.602930165425597, -11.808480375815547`}, {
     1.3943598462535527`, -3.5503800013032545`, 8.145426797275364}}, 
     0.02908891556288179]}, 
   {Hue[0.009807340084682148], 
    CylinderBox[{{1.861419765010441, -3.4066582759888933`, 
     9.35480929807334}, {-9.464475567637296, -1.182028576708902, \
-6.978442601502254}}, 0.014066257240583802`]}, 
   {Hue[0.006595842929845138], 
    CylinderBox[{{4.4684653789696105`, 
     0.11923770646605514`, -8.7543349910347}, {
     4.61400507874379, -1.450089829387316, 11.183469032503147`}}, 
     0.00946014133991302]}, 
   {Hue[0.008188156449509749], 
    CylinderBox[{{-1.4848163505284242`, -8.364419886821587, \
-4.228164783352827}, {1.2501580647790014`, 10.07654759319994, 
     3.0141161659339573`}}, 0.011743929949450949`]}, 
   {Hue[0.004612294214373198], 
    CylinderBox[{{1.7781874083986127`, -5.18700730663142, 
     6.116769584815073}, {-0.4544239479129105, 
     12.424266953597423`, -3.095095886557691}}, 0.006615220470427119]}, 
   {Hue[0.05153982576444116], 
    CylinderBox[{{-6.8778053688103045`, -1.2932838886541143`, 
     11.467975190460555`}, {-1.7892921504920443`, 
     0.8657740049423357, -7.7529899840331336`}}, 0.07392141407126437]}, 
   {Hue[0.0053521234126878365`], 
    CylinderBox[{{-2.2941792327762025`, 
     7.3876914763513835`, -2.957889779046155}, {-1.842697209299632, \
-9.272436457311178, 8.098162916942314}}, 0.0076763265122011225`]}, 
   {Hue[0.029890719291702526`], 
    CylinderBox[{{-2.2852459189246797`, -9.175185782301675, \
-1.894150262789073}, {6.808392081387366, 7.872743852551608, 
     3.270522339067891}}, 0.042871007126576585`]}, 
   {Hue[0.03072029593474146], 
    CylinderBox[{{-1.8516183118613738`, -6.528847221090042, 
     8.093275468501087}, {8.208513465922037, 
     6.956021285990281, -2.721162564073034}}, 0.044060834170505776`]}, 
   {Hue[0.03647771374459987], 
    CylinderBox[{{-4.004278467683976, 0.5927180462286806, 
     8.496234988616806}, {
     7.971692429313862, -1.5093625246773867`, -7.383229056107122}}, 
     0.05231845746649773]}, 
   {Hue[0.06920062579281633], 
    CylinderBox[{{-10.053781904925442`, -6.935459355834744, \
-0.9794100322154109}, {2.669887858043039, 
     7.88116986930812, -5.289366663965204}}, 0.09925156007707467]}, 
   {Hue[0.003998526542159913], 
    CylinderBox[{{-9.205037157180527, 0.48424051774206633`, 
     2.844603743111607}, {5.120285640164925, 
     4.292170353402092, -10.58241368886281}}, 0.00573491919722148]}, 
   {Hue[0.0450692765635639], 
    CylinderBox[{{-3.6058391376322443`, -3.056150477212178, \
-7.935098407421795}, {10.00365922100509, -3.020604156450273, 
     6.720285957559152}}, 0.0646409762806396]}, 
   {Hue[0.01136538003319041], 
    CylinderBox[{{10.181859216171702`, 
     1.405159797993964, -7.085341491618513}, {-2.3745325923149805`, 
     0.041778089558381915`, 8.422018537376488}}, 0.016300888702079963`]}, 
   {Hue[0.020230668182088744`], 
    CylinderBox[{{-2.002733563253086, -3.5943576717113155`, \
-7.389218896935327}, {7.245790895996885, 2.1639584265424565`, 
     9.382978068258184}}, 0.029016000295800586`]}, 
   {Hue[0.011008248956444172`], 
    CylinderBox[{{-1.1935492469928035`, -9.984683770851177, \
-5.397595932213395}, {0.08120927010845658, 
     9.758319549806483, -2.4669286696981776`}}, 0.015788670552128646`]}, 
   {Hue[0.017210779702342385`], 
    CylinderBox[{{-2.085472066044693, 9.378393658195533, 6.494442495703964}, {
     2.1290504778320325`, -9.34269844354529, 0.8589735493524464}}, 
     0.024684700694970585`]}, 
   {Hue[0.025964129625845555`], 
    CylinderBox[{{-7.349310214321504, 
     1.3678633233062438`, -9.298637100674144}, {7.281129503007666, 
     4.62867821454235, 3.9421075884545633`}}, 0.037239263978969386`]}, 
   {Hue[0.015078309833029463`], 
    CylinderBox[{{
     1.0304730844376673`, -6.179268594471522, -6.196166611005673}, {
     0.4903899408494801, 9.50404714381094, 6.20310424059498}}, 
     0.021626188450004236`]}, 
   {Hue[0.0625276025856348], 
    CylinderBox[{{5.416970726039165, -9.147999467440606, 
     3.8914120659447686`}, {-7.330141219895828, 
     4.587274087981282, -3.0981084752318324`}}, 0.08968072229699142]}, 
   {Hue[0.014834765110171608`], 
    CylinderBox[{{
     9.672335136808348, -4.0990401698082986`, -3.8719355033538374`}, \
{-3.3107196083029695`, 8.332040027062305, 4.897815611952341}}, 
     0.021276882451463825`]}, 
   {Hue[0.0018448814907628362`], 
    CylinderBox[{{-6.203587940058052, -6.819357241755239, 
     3.370195452945063}, {7.193367765933578, 
     5.9704915448774125`, -4.175753514995926}}, 0.0026460362752173117`]}, 
   {Hue[0.02507464074699675], 
    CylinderBox[{{1.7858363881441561`, 
     11.372196181614967`, -2.2469522928895116`}, {-6.223320886429837, \
-6.953766034152427, -2.1351103624510066`}}, 0.03596350732380173]}, 
   {Hue[0.03528090614916727], 
    CylinderBox[{{0.8032590732180118, -0.7826707851707826, 
     7.198958155527469}, {
     5.0822295082788065`, -4.871892700874778, -11.905195218542834`}}, 
     0.05060192644386774]}, 
   {Hue[0.007447134365939108], 
    CylinderBox[{{-2.515979640235339, 
     2.5732741507037957`, -10.95896105940652}, {-5.100192044016641, \
-5.051754355581336, 7.348982203846237}}, 0.010681113002301526`]}, 
   {Hue[0.003252556796329398], 
    CylinderBox[{{11.903592549790666`, 2.744702737927548, 
     0.10912393786294206`}, {-7.809604327098849, 1.7879417724466529`, 
     3.3455536602461686`}}, 0.004665006025256158]}, 
   {Hue[0.023878343051910115`], 
    CylinderBox[{{8.100223540461892, -4.766178058770881, 
     1.008733332293767}, {-6.228649152428163, 7.214749646812723, 
     8.16001144634645}}, 0.034247707629887936`]}, 
   {Hue[0.007336388381920452], 
    CylinderBox[{{7.350670298359993, 9.882456096256243, 
     5.842663765947599}, {-7.120859886694828, -3.212032927304877, 
     1.4712599508231605`}}, 0.010522274674465718`]}, 
   {Hue[0.009916514360867924], 
    CylinderBox[{{-2.2126046390710967`, 
     0.7151589646441556, -11.410791756106082`}, {-4.370179174990856, 
     3.7880907509104107`, 8.23359579756698}}, 0.014222841333683844`]}, 
   {Hue[0.0057044779080108595`], 
    CylinderBox[{{-4.652920468256994, 
     2.6102386809771634`, -8.576999226757607}, {-0.1002157987959924, 
     1.3094411928936975`, 10.854439373810898`}}, 0.008181693811417232]}, 
   {Hue[0.005788842212437672], 
    CylinderBox[{{0.7793443067123733, -5.81016320725114, 
     8.01391927042898}, {-6.511933262498468, 
     5.1691916746139235`, -7.0290537664008275`}}, 0.008302694000841063]}, 
   {Hue[0.027103081085581963`], 
    CylinderBox[{{10.572844961368068`, -3.2161394010067825`, 
     5.626724704385155}, {-8.118354577678419, -4.5332270542434765`, \
-1.3664390935849626`}}, 0.038872814368663036`]}, 
   {Hue[0.03196264140014576], 
    CylinderBox[{{6.62784936427505, 
     6.080155346660506, -1.972386698087345}, {-6.475234872251755, \
-8.982808107172437, -3.1624772320283134`}}, 0.04584267825332122]}, 
   {Hue[0.0053291928842536295`], 
    CylinderBox[{{4.607249646210363, 8.04420993479102, 
     4.2910982035697955`}, {-6.024684966786138, -5.406648816089451, \
-6.006297838577424}}, 0.007643438215391485]}, 
   {Hue[0.05273494224761747], 
    CylinderBox[{{-4.399472428639509, 3.1084402025316624`, 
     8.132858135186858}, {-3.144285050989583, 
     0.48272135329849886`, -11.654261543325475`}}, 0.07563551960239367]}, 
   {Hue[0.016035563759774843`], 
    CylinderBox[{{-8.205115422397647, 0.16021051200454206`, 
     2.838023548767477}, {
     6.48635176496491, -6.824815158591198, -8.796846809933038}}, 
     0.022999137675981426`]}, 
   {Hue[0.01475202238525738], 
    CylinderBox[{{-6.256737545435357, 
     3.829933667289856, -0.9483199736237875}, {
     6.726718980566535, -11.137571379549495`, -3.6692847492608074`}}, 
     0.02115820802563778]}, 
   {Hue[0.0026313976716153217`], 
    CylinderBox[{{-3.5026103510842326`, -8.455785825268428, 
     1.6200920802837826`}, {8.291085421071077, 7.569392719341306, 
     3.6455284893635147`}}, 0.0037741035012159446`]}, 
   {Hue[0.02450923309729587], 
    CylinderBox[{{-1.9552614056752855`, 3.951574282620828, 
     7.380729654866368}, {-6.783583437060853, -6.322745439123012, \
-9.085164205371594}}, 0.03515256680600441]}, 
   {Hue[0.04624088945840749], 
    CylinderBox[{{-1.0121809852363968`, -7.163199329390654, \
-9.539157207421153}, {-4.189136614751035, -0.25566761112364844`, 
     8.959301065884505}}, 0.0663213715991414]}, 
   {Hue[0.005580904256961938], 
    CylinderBox[{{-3.032442741885383, -2.689000435057773, \
-13.159762910719609`}, {-2.9914210935860366`, 2.0687703396594426`, 
     6.266042979374566}}, 0.008004457297866821]}, 
   {Hue[0.007298147394357071], 
    CylinderBox[{{
     0.271456998578522, -11.320141352869243`, -2.5409069094727323`}, {
     0.7331663246056683, 8.359926606493637, 0.9920450592240194}}, 
     0.010467427227190934`]}, 
   {Hue[0.015796841116550688`], 
    CylinderBox[{{0.278422970488448, 
     6.625570555170275, -8.643304430111854}, {-3.340084924260074, \
-4.880168147224132, 7.3105157245679075`}}, 0.022656747784354468`]}, 
   {Hue[0.0024382513039467447`], 
    CylinderBox[{{1.6124963081574077`, 1.5302547865072589`, 
     7.810049423736701}, {-1.209673270305545, 
     4.822735550329642, -11.71416449873039}}, 0.003497081753295328]}, 
   {Hue[0.009637744630915579], 
    CylinderBox[{{
     4.675322318797271, -4.205120466145663, -1.905760101808577}, \
{-12.513661818272418`, 0.8936381593398979, 6.956603285832621}}, 
     0.013823013582373145`]}, 
   {Hue[0.021324284112079758`], 
    CylinderBox[{{-2.4118830303280756`, -3.6671025037122473`, 
     10.323114079032777`}, {3.4793100687317446`, 
     10.18497311357543, -2.8455549866903875`}}, 0.030584527833423178`]}, 
   {Hue[0.0010954387966355648`], 
    CylinderBox[{{-0.29978161390987923`, -9.103499219456626, \
-2.8370404298777245`}, {-2.3380958112351595`, 9.14549104868465, 
     5.088843080890471}}, 0.0015711419989256764`]}, 
   {Hue[0.01563527666835856], 
    CylinderBox[{{-8.57357367580922, 
     4.602080645094777, -1.6733073063980655`}, {10.916627619727892`, 
     1.9269552582572667`, -5.275495200462034}}, 0.022425022661173213`]}, 
   {Hue[0.005169432157508469], 
    CylinderBox[{{7.1989561210854225`, 5.38820069682795, 
     8.336069786723312}, {-6.16203880063371, -6.435117579165465, \
-0.7023459841048765}}, 0.007414300094358041]}, 
   {Hue[0.038880709271730346`], 
    CylinderBox[{{-10.368191710753099`, 
     2.181265141240403, -7.879469105836352}, {2.4207127964929294`, 
     2.527955718460216, 7.493355200328382}}, 0.05576497333529917]}, 
   {Hue[0.010719761662954894`], 
    CylinderBox[{{5.800881170411586, 
     9.32584004481432, -4.750394874390225}, {-0.811653396163138, \
-8.863977262079715, 0.2899357643350484}}, 0.015374905306320769`]}, 
   {Hue[0.01641243437801315], 
    CylinderBox[{{2.52915369885971, -10.573892982932852`, 
     2.871444330962675}, {-8.129325751917392, 
     4.8595494549421385`, -4.07158600990157}}, 0.023539667423780997`]}, 
   {Hue[0.0007112317830482838], 
    CylinderBox[{{-7.13040921244066, 5.568259071351618, 0.5656981726015444}, {
     4.2548522803149575`, -10.109851340917025`, 5.522781452342741}}, 
     0.0010200899664590847`]}, 
   {Hue[0.028277038777890822`], 
    CylinderBox[{{0.19805953032870383`, 9.99952726425176, 
     1.1192842707432336`}, {-5.994898407810929, -9.008906552404348, 
     1.6908748709438761`}}, 0.04055657273199033]}, 
   {Hue[0.002156712968102428], 
    CylinderBox[{{-4.46565128291006, -2.512590761613854, 
     9.717722204562332}, {-3.764315484989322, 
     0.9078915601687043, -9.975130021180082}}, 0.0030932831064779953`]}, 
   {Hue[0.0050966347929569215`], 
    CylinderBox[{{-2.5934435591267873`, 4.656142524905473, 
     10.381030831441231`}, {
     1.278192654670426, -7.279605245216711, -5.192933281655899}}, 
     0.007309889882478271]}, 
   {Hue[0.0010484679220970335`], 
    CylinderBox[{{-3.8432039114092587`, 
     2.581372801784894, -9.912923565981423}, {0.44528300710922286`, 
     1.4250895528932674`, 9.587637682301366}}, 0.001503773640291299]}, 
   {Hue[0.01970939581192968], 
    CylinderBox[{{-9.045148962636949, -3.716508545624576, 
     0.5701403206566833}, {8.383345124000025, 3.5884868596686097`, 
     7.118776514606184}}, 0.028268361161462988`]}, 
   {Hue[0.008550124770742606], 
    CylinderBox[{{0.7468851643511749, -10.59752800996288, 
     4.481334559920684}, {-0.6362452891362662, 9.339436308846485, 
     5.258768736657105}}, 0.012263085956629283`]}, 
   {Hue[0.014130004618851723`], 
    CylinderBox[{{-1.7868759812604254`, 3.31494512380487, 
     13.152908603107045`}, {-2.2275604089377588`, 
     2.6313232978959826`, -6.830546014009178}}, 0.0202660739877715]}, 
   {Hue[0.0013290949083549566`], 
    CylinderBox[{{-1.8954396184960665`, 
     8.675201343087819, -1.8950934705115192`}, {
     10.622176274967392`, -6.581943214162684, 1.3497227496883863`}}, 
     0.0019062651765559616`]}, 
   {Hue[0.03660760244150237], 
    CylinderBox[{{-8.78968332677733, -0.23090533454950934`, 
     5.2356015994453164`}, {9.881070561970324, 6.162242736590077, 
     1.9905119294518023`}}, 0.052504751385898815`]}, 
   {Hue[0.0001027040559904898], 
    CylinderBox[{{-3.301024387931685, 
     2.728912484668022, -6.853688686066194}, {1.5625117257826995`, 
     4.032663939324284, 12.502092068402936`}}, 0.00014730412718836315`]}, 
   {Hue[0.021048733617518287`], 
    CylinderBox[{{-5.241339766013665, -2.7343898239978013`, \
-8.430313856085904}, {6.3457277348743, 8.577324208711763, 3.307871368729193}},
      0.030189317296641094`]}, 
   {Hue[0.005346175439595618], 
    CylinderBox[{{-5.764229532915948, -1.037176954026827, 
     9.364549554849535}, {-3.748183378499883, 
     2.7656210260671563`, -10.166817151703729`}}, 0.007667795583442376]}, 
   {Hue[0.0005345649563193696], 
    CylinderBox[{{2.9804562785902937`, 
     3.1716559043513963`, -11.99515483928165}, {-1.0730686708963426`, \
-7.162797527118414, 4.6411911464410345`}}, 0.0007667041340938055]}, 
   {Hue[0.004578125596320842], 
    CylinderBox[{{-0.7816394691303703, 6.44295702556309, 5.721963633970907}, {
     8.987078570885577, -7.952636128504657, -4.144091585681208}}, 
     0.0065662138522279215`]}, 
   {Hue[0.010063835854167338`], 
    CylinderBox[{{-9.468308373606675, -0.074243376897138, \
-6.832731569634612}, {4.194573709632813, -7.719933299005799, 
     5.611908995462455}}, 0.01443413838302887]}, 
   {Hue[0.001141684630629222], 
    CylinderBox[{{-6.369716839969571, 1.586728131943116, 7.426537853382463}, {
     6.943048984880124, -1.561857763964532, -7.163070535769229}}, 
     0.0016374704622646938`]}, 
   {Hue[0.043362469582424235`], 
    CylinderBox[{{-4.82894508307437, 
     0.4969636484701627, -11.504179776578637`}, {
     6.267002963990096, -4.190636188229667, 4.461606915840187}}, 
     0.062192974493260667`]}, 
   {Hue[0.00739249120813636], 
    CylinderBox[{{8.872051900205188, 
     8.093165625303701, -0.6605594892768765}, {-3.2566626983585163`, \
-5.12787757907766, 8.176764697063078}}, 0.010602740609027252`]}, 
   {Hue[0.0169229557224518], 
    CylinderBox[{{-3.959006025843208, -7.003284534053271, \
-0.13512923275478794`}, {0.42150745426570313`, 11.54366302630823, 
     5.932970786508623}}, 0.024271886812083726`]}, 
   {Hue[0.0004961815820356723], 
    CylinderBox[{{3.973455608611969, 3.0328123105146925`, 
     6.703568355107129}, {-11.494594380490524`, -0.031775605798520346`, \
-5.598778186825975}}, 0.0007116524675079422]}, 
   {Hue[0.004858857560295876], 
    CylinderBox[{{-5.409879696542796, -0.9097993162198164, \
-12.01136065050673}, {-2.351435065085517, -0.5168232253230391, 
     7.749496775938452}}, 0.006968855953636718]}, 
   {Hue[0.0077236068744277655`], 
    CylinderBox[{{-0.6162811454070352, 
     9.175613201896795, -4.093080132163963}, {-3.848521122115605, \
-9.848064068901866, 1.165467940209754}}, 0.011077645945053758`]}, 
   {Hue[0.015560425896382263`], 
    CylinderBox[{{-0.7215463894086923, -10.10397257209481, 
     0.024863127048127827`}, {1.2025832568771626`, 
     9.803135534789378, -0.04421599504905751}}, 0.022317667333002292`]}, 
   {Hue[0.0014054199989853426`], 
    CylinderBox[{{
     2.910096584929674, -8.584619912533434, -4.206942799444989}, \
{-2.952920602867459, 7.969468822150784, 5.363176093222774}}, 
     0.0020157350582412845`]}, 
   {Hue[0.00843753316338745], 
    CylinderBox[{{6.782385020223391, 6.296348101418454, 
     7.010447342372459}, {-5.709545069439084, 
     1.7420945924045337`, -7.9297821609055825`}}, 0.012101600528519982`]}, 
   {Hue[0.04047747293054556], 
    CylinderBox[{{2.0281675526996845`, 8.464201777564679, 
     6.2177781961785925`}, {-8.611105898597641, -7.04972011447346, \
-0.5736935115044819}}, 0.05805514459308915]}, 
   {Hue[0.014472015577261953`], 
    CylinderBox[{{-4.224781643003324, -0.09852750105793051, \
-10.751831178565906`}, {-1.435089294010282, -2.6603652224836027`, 
     8.886259464036042}}, 0.02075660598508755]}, 
   {Hue[0.003624059767457664], 
    CylinderBox[{{-1.1908691415595738`, -1.9958864107385987`, \
-8.926905912591979}, {3.3382791140400316`, -6.43752197863275, 
     10.040399894001025`}}, 0.005197837181554407]}, 
   {Hue[0.0007587089861065231], 
    CylinderBox[{{
     7.512474256398658, -0.761014337265423, -2.269421572759384}, \
{-7.236170626379652, 8.802358490553416, 7.270985875449179}}, 
     0.001088184530888811]}, 
   {Hue[0.0551083140332936], 
    CylinderBox[{{
     3.2810592724895944`, -5.106217285197012, -9.123629594195947}, \
{-4.809280434457909, 10.12240678632694, 1.0072841017344354`}}, 
     0.07903954737920205]}, 
   {Hue[0.029951905282210006`], 
    CylinderBox[{{9.742805694497411, 
     1.2701632154613223`, -2.1846151327672123`}, {-8.765687759977359, \
-3.795396449997266, 3.452385427933809}}, 0.042958763630844485`]}, 
   {Hue[0.01345294665270186], 
    CylinderBox[{{-0.29028457802228336`, 1.7488005647150398`, 
     8.90459644009502}, {-3.935524627663022, 
     4.436676799963438, -10.575843655664677`}}, 0.01929499809599884]}, 
   {Hue[0.01965821844221198], 
    CylinderBox[{{4.411754925903079, -9.162096963828997, 
     8.339777959383166}, {-7.139618907310064, 
     3.7015652415303024`, -1.7146716641302677`}}, 0.028194959602923175`]}, 
   {Hue[0.011974142828426324`], 
    CylinderBox[{{-0.7947297466610608, 3.3431178989302834`, 
     12.391798878366487`}, {1.5316732222510776`, 
     3.4346753034038375`, -7.472225549425651}}, 0.01717401168979603]}, 
   {Hue[0.0011902877909443093`], 
    CylinderBox[{{6.438128039358133, -4.611405445026532, 
     4.389917165010255}, {-11.203847734503583`, 
     0.2515309563864081, -3.679317021099928}}, 0.001707179940042991]}, 
   {Hue[0.016205668640494407`], 
    CylinderBox[{{-1.0903803652423438`, -5.631866784285506, \
-10.71719653668593}, {0.7592262079489198, -3.977445424717294, 
     9.128252450157683}}, 0.023243111983940565`]}, 
   {Hue[0.004178741006583094], 
    CylinderBox[{{3.2657851601876846`, -6.934438063284222, 
     3.174939195163817}, {0.4776404360956792, 
     8.548322541827767, -9.17456982512967}}, 0.005993393257788603]}, 
   {Hue[0.0015910897942175586`], 
    CylinderBox[{{-0.5729933805451441, 
     5.318942036120035, -2.7504926466481012`}, {-4.926975375175935, \
-10.353238099830502`, 8.886758342170019}}, 0.0022820334713677948`]}, 
   {Hue[0.014762410453199676`], 
    CylinderBox[{{9.346417936637412, 8.188842536210098, 
     2.658846197975344}, {-5.672448165142728, -3.749569929311768, \
-2.989867710506081}}, 0.0211731071965289]}, 
   {Hue[0.0003551744247836185], 
    CylinderBox[{{8.505251010531186, -3.9166397803195783`, 
     4.776414417532104}, {-10.086118593038236`, -3.74231424127361, \
-2.594514076891867}}, 0.0005094118059682518]}, 
   {Hue[0.017278817103418033`], 
    CylinderBox[{{-5.117581906261149, 
     3.709549132204487, -2.6496207748000176`}, {
     8.166372296064976, -1.592983326375625, 11.329639229799884`}}, 
     0.024782283890541178`]}, 
   {Hue[0.029008877164978374`], 
    CylinderBox[{{5.014344782322246, -8.61145863472585, 
     0.3753446967812324}, {-11.466457996633766`, 
     2.450128216870658, -2.0791279728044327`}}, 0.041606217887804366`]}, 
   {Hue[0.002888442000355397], 
    CylinderBox[{{-4.689482642159896, 2.740894504748766, 
     7.234804807376987}, {-3.18305814778892, -3.7887719664519346`, \
-11.60913695165094}}, 0.004142771419231583]}, 
   {Hue[0.027291224442977283`], 
    CylinderBox[{{5.653421804139395, -6.553770198615748, 
     4.853135355500909}, {-3.3409223968604294`, 
     0.34744608326803794`, -11.623362640875717`}}, 0.03914266050842963]}, 
   {Hue[0.009105536500770426], 
    CylinderBox[{{
     8.771014148475235, -1.336037197398547, -3.919709362511144}, \
{-8.905967369024872, 1.4731282026075836`, 5.004018232242515}}, 
     0.013059689745378411`]}, 
   {Hue[0.011223266755673932`], 
    CylinderBox[{{8.491869467490542, 
     2.6300812430292457`, -9.143064293430204}, {-2.856613755461697, \
-6.294508732436952, 4.697586786204012}}, 0.016097061578559342`]}, 
   {Hue[0.006535825360512941], 
    CylinderBox[{{9.3510008479791, 
     4.137581161643896, -0.584736279019614}, {-8.718136173184954, 
     0.3184054790595541, 7.091212158532255}}, 0.0093740606532139]}, 
   {Hue[0.019633101991800184`], 
    CylinderBox[{{-5.137829531779076, 8.200016155889806, 
     1.8188812277764304`}, {-4.011127102424931, -11.590190774776325`, \
-0.8416170859050066}}, 0.028158936129747764`]}, 
   {Hue[0.03227205423395431], 
    CylinderBox[{{-1.3214305389131478`, -4.2648327700084625`, \
-11.973789415397501`}, {1.0193270425166379`, -4.556111689516202, 
     7.8866237357942275`}}, 0.04628645612543629]}, 
   {Hue[0.014189084988073555`], 
    CylinderBox[{{6.183442369204643, 9.768304441607514, 
     0.6091843875049614}, {-0.8384950213505018, -8.786254982532517, 
     3.1430983282653617`}}, 0.020350810487593803`]}},
  Boxed->False,
  ImageSize->{360., 372.6254472153591},
  ViewAngle->0.3020119505425323,
  ViewPoint->{-1.3553395809268491`, 1.0862068549866652`, 2.9039988444476075`},
  
  ViewVertical->{0.16793137997530905`, 1.0634863718239467`, 
   0.503972979595075}]], "Output",
 CellChangeTimes->{3.4072620594432898`*^9, 3.407262462485433*^9, 
  3.407262652992921*^9, 3.407262754596122*^9, 3.407263204557729*^9, 
  3.407264043369287*^9, 3.407264121621014*^9, 3.407264640260364*^9, 
  3.4072647552411213`*^9, 3.40726502442962*^9, 3.407266012563218*^9, 
  3.4072661964412937`*^9, 3.407266723381508*^9, 3.407266879801128*^9, 
  3.407267046329391*^9, 3.407267151459605*^9, 3.407267245063251*^9, 
  3.4072673649642153`*^9, 3.407267425520527*^9, 3.407267491643145*^9, 
  3.407267763601503*^9}]
}, Open  ]]
},
WindowSize->{794, 767},
WindowMargins->{{100, Automatic}, {28, Automatic}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 968, 28, 43, "Input"],
Cell[1539, 51, 4852, 129, 191, "Input"],
Cell[6394, 182, 792, 23, 43, "Input"],
Cell[7189, 207, 89, 1, 43, "Input"],
Cell[7281, 210, 1050, 25, 43, "Input"],
Cell[CellGroupData[{
Cell[8356, 239, 385, 10, 43, "Input"],
Cell[8744, 251, 328, 5, 27, "Output"]
}, Open  ]],
Cell[9087, 259, 4362, 95, 133, "Input"],
Cell[CellGroupData[{
Cell[13474, 358, 501, 8, 43, "Input"],
Cell[13978, 368, 962, 15, 27, "Output"],
Cell[14943, 385, 932, 14, 27, "Output"]
}, Open  ]],
Cell[15890, 402, 581, 16, 27, "Input"],
Cell[16474, 420, 138, 3, 27, "Input"],
Cell[CellGroupData[{
Cell[16637, 427, 4083, 91, 103, "Input"],
Cell[20723, 520, 77, 1, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20837, 526, 100, 1, 27, "Input"],
Cell[20940, 529, 100, 2, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21077, 536, 66, 1, 27, "Input"],
Cell[21146, 539, 43326, 862, 388, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
